=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

export DEB_BUILD_MAINT_OPTIONS = optimize=-lto

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5gapi-dbg (<= 5.1.0-2~1.gbp16a3a9~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:
