## libkgapi 22.08.1

=== debian/changelog ===
libkgapi (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:47:31 +0100

libkgapi (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Refresh enable_debianabimanager.diff

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:56:43 +0100

libkgapi (22.04.3-0ubuntu2) kinetic; urgency=medium

  * Drop qtwebengine build and runtime depends. No longer used.

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Jul 2022 13:06:07 +0100

libkgapi (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:34:41 +0100

libkgapi (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:09:20 +0100

libkgapi (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:08:29 +0100

libkgapi (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:55:48 +0100
