=== debian/control ===
--- 
+++ 
@@ -22,7 +22,6 @@
                qtpositioning5-dev,
                qttools5-dev (>= 5.6.0~),
                qttools5-dev-tools (>= 5.6.0~),
-               qtwebengine5-dev,
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/libkgapi
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkgapi
@@ -111,7 +110,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkpimgapi-data (= ${source:Version}),
-         libqt5webengine5,
          ${misc:Depends},
          ${shlibs:Depends},
 Description: core library to integrate with Google service APIs
