=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>,
-           Sandro Knauß <hefee@debian.org>,
+Uploaders: Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -28,7 +27,7 @@
 Package: libkpimgapi-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Google API library for KDE -- data files
  LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
  for various Google services.
@@ -62,7 +61,7 @@
          ${shlibs:Depends},
 Description: library to integrate with Google Blogger service API
  This package is part of libkgapi.
-Provides: ${ABI:VirtualPackage}
+Provides: ${ABI:VirtualPackage},
 
 Package: libkpimgapicalendar5
 Architecture: any
@@ -72,7 +71,7 @@
          ${shlibs:Depends},
 Description: library to integrate with Google Calendar service API
  This package is part of libkgapi.
-Provides: ${ABI:VirtualPackage}
+Provides: ${ABI:VirtualPackage},
 
 Package: libkpimgapicontacts5
 Architecture: any
@@ -82,7 +81,7 @@
          ${shlibs:Depends},
 Description: library to integrate with Google Contacts service API
  This package is part of libkgapi.
-Provides: ${ABI:VirtualPackage}
+Provides: ${ABI:VirtualPackage},
 
 Package: libkpimgapicore5abi1
 X-Debian-ABI: 1
@@ -94,7 +93,7 @@
          ${shlibs:Depends},
 Description: core library to integrate with Google service APIs
  This package is part of libkgapi.
-Provides: ${ABI:VirtualPackage}
+Provides: ${ABI:VirtualPackage},
 
 Package: libkpimgapidrive5
 Architecture: any
@@ -104,7 +103,7 @@
          ${shlibs:Depends},
 Description: library to integrate with Google Drive service API
  This package is part of libkgapi.
-Provides: ${ABI:VirtualPackage}
+Provides: ${ABI:VirtualPackage},
 
 Package: libkpimgapilatitude5
 Architecture: any
@@ -114,7 +113,7 @@
          ${shlibs:Depends},
 Description: library to integrate with Google Latitude service API
  This package is part of libkgapi.
-Provides: ${ABI:VirtualPackage}
+Provides: ${ABI:VirtualPackage},
 
 Package: libkpimgapimaps5
 Architecture: any
@@ -124,7 +123,7 @@
          ${shlibs:Depends},
 Description: library to integrate with Google Maps service API
  This package is part of libkgapi.
-Provides: ${ABI:VirtualPackage}
+Provides: ${ABI:VirtualPackage},
 
 Package: libkpimgapitasks5
 Architecture: any
@@ -134,7 +133,7 @@
          ${shlibs:Depends},
 Description: library to integrate with Google Tasks service API
  This package is part of libkgapi.
-Provides: ${ABI:VirtualPackage}
+Provides: ${ABI:VirtualPackage},
 
 Package: libsasl2-modules-kdexoauth2
 Architecture: any
@@ -144,4 +143,4 @@
          ${shlibs:Depends},
 Description: library to integrate with Cyrus SASL
  This package is part of libkgapi.
-Provides: ${ABI:VirtualPackage}
+Provides: ${ABI:VirtualPackage},
