## libkgapi 23.08.0

=== debian/changelog ===
libkgapi (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:00:54 +0100

libkgapi (23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Update installed files

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:40:20 +0100

libkgapi (23.04.3-0ubuntu3) mantic; urgency=medium

  * Add libssl-dev to build depends.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 03 Aug 2023 20:31:43 +0100

libkgapi (23.04.3-0ubuntu2) mantic; urgency=medium

  * Update transitional data package depends, so as not to depend on a
    NBS package.

 -- Rik Mills <rikmills@kde.org>  Sun, 09 Jul 2023 13:48:46 +0100

libkgapi (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:56:28 +0100

libkgapi (23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Massive renaming of libraries (libkpim -> libkpim5; contacts -> people):
    - libkpimgapiblogger5abi1 -> libkpim5gapiblogger5
    - libkpimgapicalendar5 -> libkpim5gapicalendar5
    - libkpimgapicore5abi1 -> libkpim5gapicore5
    - libkpimgapidrive5 -> libkpim5gapidrive5
    - libkpimgapilatitude5 -> libkpim5gapilatitude5
    - libkpimgapimaps5 -> libkpim5gapimaps5
    - libkpimgapicontacts5 -> libkpim5gapipeople5
    - libkpimgapitasks5 -> libkpim5gapitasks5
  * Drop patch to enable the debian ABI manager
  * Update installed files
  * Sync debian/rules with debian, provide virtual ABI packages
  * Rename data package: libkpimgapi-data -> libkpim5gapi-data
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 13:00:59 +0100

libkgapi (22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:45:09 +0000

libkgapi (22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:28:16 -0600

libkgapi (22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:27:26 +0000

libkgapi (22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:16:58 +0000

libkgapi (22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:13:09 +0000

libkgapi (22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 10:40:50 +0000

libkgapi (22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:15:57 +0000
